<?php
/**
 * @package     Joomla.Plugin
 * @subpackage  Content.pagenavigation
 *
 * @copyright   Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

$lang = JFactory::getLanguage(); ?>

<nav class="pager pagenav text-center">
<?php if ($row->prev) :
	$direction = $lang->isRtl() ? 'right' : 'left'; ?>
	<span class="previous">
		<a class="hasTooltip btn btn-outline-primary btn-sm" title="<?php echo htmlspecialchars($rows[$location-1]->title); ?>" aria-label="<?php echo JText::sprintf('JPREVIOUS_TITLE', htmlspecialchars($rows[$location-1]->title)); ?>" href="<?php echo $row->prev; ?>" rel="prev">
			<?php echo '<span class="fa fa-chevron-' . $direction . '" aria-hidden="true"></span> <span aria-hidden="true">' . JText::sprintf('JPREVIOUS_TITLE') . '</span>'; ?>
		</a>
	</span>
<?php endif; ?>
<?php if ($row->next) :
	$direction = $lang->isRtl() ? 'left' : 'right'; ?>
	<span class="next">
		<a class="hasTooltip btn btn-outline-primary btn-sm" title="<?php echo htmlspecialchars($rows[$location+1]->title); ?>" aria-label="<?php echo JText::sprintf('JNEXT_TITLE', htmlspecialchars($rows[$location+1]->title)); ?>" href="<?php echo $row->next; ?>" rel="next">
			<?php echo '<span aria-hidden="true">' . JText::sprintf('JNEXT_TITLE') . '</span> <span class="fa fa-chevron-' . $direction . '" aria-hidden="true"></span>'; ?>
		</a>
	</span>
<?php endif; ?>
</nav>
