<?php
/**
 * @package     Joomla.Site
 * @subpackage  Templates.protostar
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
defined('_JEXEC') or die;

$app = JFactory::getApplication();
$doc = JFactory::getDocument();
$user = JFactory::getUser();
$this->language = $doc->language;
$this->direction = $doc->direction;
$menuid= $this->params->get('menuid');

// Getting params from template
$params = $app->getTemplate(true)->params;

//get google font

$googleFont		= $this->params->get('googleFont');
$googleFontBody	= $this->params->get('googleFontBody');
$googleFontWeight = $this->params->get('googleFontWeight');
$googleFontCharacter = $this->params->get('googleFontCharacter');

// Detecting Active Variables
$option = $app->input->getCmd('option', '');
$view = $app->input->getCmd('view', '');
$layout = $app->input->getCmd('layout', '');
$task = $app->input->getCmd('task', '');
$itemid = $app->input->getCmd('Itemid', '');
$sitename = $app->get('sitename');
$active = $app->getMenu()->getActive();
$app = JFactory::getApplication();
$menu = $app->getMenu();

if ($task == "edit" || $layout == "form") {
    $fullWidth = 1;
} else {
    $fullWidth = 0;
}

//get nohomepage class

$class="";
if ($menu->getActive() == $menu->getDefault( 'en-GB' )) {
	$class="home-page";
}
elseif ($menu->getActive() == $menu->getDefault( 'pl-PL' )) {
	$class="home-page";
}else{
    $class="no-home-page";
}


// Add Stylesheets
$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/bootstrap.min.css');
//$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/font-awesome.min.css');
// $doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/aos.css');
$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/template.css');

// Add scripts
JHtml::_('jquery.framework');
$doc->addScript($this->baseurl . '/templates/' . $this->template . '/js/popper.min.js');
$doc->addScript($this->baseurl . '/templates/' . $this->template . '/js/bootstrap.min.js');
$doc->addScript($this->baseurl . '/templates/' . $this->template . '/js/jquery.flexslider-min.js');
$doc->addScript($this->baseurl . '/templates/' . $this->template . '/js/template.js');
// $doc->addScript($this->baseurl . '/templates/' . $this->template . '/js/aos.js');
// Adjusting content width
if ($this->countModules('menu_start') && $this->countModules('sidebar-right')) {
    $span = "col-lg-6";
} elseif ($this->countModules('menu_start') && !$this->countModules('sidebar-right')) {
    $span = "col-lg-9";
} elseif (!$this->countModules('menu_start') && $this->countModules('sidebar-right')) {
    $span = "col-md-9";
} else {
    $span = "col-lg-12";
}
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <jdoc:include type="head" />
        <link href='//fonts.googleapis.com/css?family=<?php echo $this->params->get('googleFont');?>|<?php echo $this->params->get('googleFontBody');?>:<?php echo $this->params->get('googleFontWeight');?>&subset=<?php echo $this->params->get('googleFontCharacter');?>' rel='stylesheet' type='text/css' />
        <link rel="apple-touch-icon" href="<?php echo $this->baseurl . '/templates/' . $this->template; ?>/apple-touch-icon.png" />
        <link rel="apple-touch-icon" sizes="57x57" href="<?php echo $this->baseurl . '/templates/' . $this->template; ?>/apple-touch-icon-57x57.png" />
        <link rel="apple-touch-icon" sizes="72x72" href="<?php echo $this->baseurl . '/templates/' . $this->template; ?>/apple-touch-icon-72x72.png" />
        <link rel="apple-touch-icon" sizes="76x76" href="<?php echo $this->baseurl . '/templates/' . $this->template; ?>/apple-touch-icon-76x76.png" />
        <link rel="apple-touch-icon" sizes="114x114" href="<?php echo $this->baseurl . '/templates/' . $this->template; ?>/apple-touch-icon-114x114.png" />
        <link rel="apple-touch-icon" sizes="120x120" href="<?php echo $this->baseurl . '/templates/' . $this->template; ?>/apple-touch-icon-120x120.png" />
        <link rel="apple-touch-icon" sizes="144x144" href="<?php echo $this->baseurl . '/templates/' . $this->template; ?>/apple-touch-icon-144x144.png" />
        <link rel="apple-touch-icon" sizes="152x152" href="<?php echo $this->baseurl . '/templates/' . $this->template; ?>/apple-touch-icon-152x152.png" />
        <link rel="apple-touch-icon" sizes="180x180" href="<?php echo $this->baseurl . '/templates/' . $this->template; ?>/apple-touch-icon-180x180.png" />
        <style type="text/css">
        <?php // Google Font Body
            if ($googleFontBody) { ?>
                body {
                    font-family: '<?php echo str_replace('+', ' ', $this->params->get('googleFontBody'));?>', Verdana, Arial, Helvetica, sans-serif;
                   
                }
            <?php } ?>

            <?php // Google Font Regular
            if ($googleFont) { ?>
            h1, h2, h3, .jn h4, .main-menu, .breadcrumb-header {
                font-family: '<?php echo str_replace('+', ' ', $this->params->get('googleFont'));?>', Verdana, Arial, Helvetica, sans-serif;
            }

<?php } ?>
        </style>
        <!--[if lt IE 9]>
                <script src="<?php echo JUri::root(true); ?>/media/jui/js/html5.js"></script>
        <![endif]-->
    </head>
    <body <?php echo 'class="'.$class.'"'; ?>>
        <header class="navbar navbar-expand-lg navbar-light bg-faded navbar-fixed-left  ">
            <div class="container">
			<button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>
			<a  title="<?php echo htmlspecialchars($app->getCfg('sitename')); ?>" class="navbar-brand" href="index.php">
                         <img style="width:<?php  echo $this->params->get('logo_width')   ?>px; height:<?php  echo $this->params->get('logo_height')   ?>px; " src="<?php  echo $this->params->get('logo_file')   ?>" alt="<?php echo htmlspecialchars($app->getCfg('sitename')); ?>" />

             </a>

           
        
           
             
  
            <div class="main-menu collapse navbar-collapse" id="navbarSupportedContent">
                  <jdoc:include type="modules" name="navigation" style="none" />
              </div>
              <div class="top-social">
                <?php include "social.php"; ?>
                   
                </div>
          
          </div>


        </header>
        <div class="body">

        <?php if (is_array($menuid) && !is_null($menu->getActive()) && in_array($menu->getActive()->id, $menuid, false) or ((in_array('1', $menuid)) && $menu->getActive()== $menu->getDefault()))  { ?>

            <div id="fullwidth" class="fullwidth">             
              <?php  include "slideshow.php";  ?>           
        
          <a href="#showcase_top" class="page-scroller"><span class="icon-scroll-down-img bounce"></span> </a>
        </div>
        <?php }  ?>

        
        <?php if ($this->countModules('showcase_top')) : ?>
            <div id="showcase_top" class="showcase height">
              <div class="container">
                        <div class="row">
                             <div class="col-sm-12">
                                 <jdoc:include type="modules" name="showcase_top" style="block" />
                             </div>           
                          </div> 
                          <?php	$box1 = $this->countModules( 'showcase1 + showcase2 + showcase3' );
     		switch ($box1) {
     		    case "1":
     		       $boxclass1='col-md-12';
     		        break;
     		    case "2":
     		       $boxclass1='col-md-6 col-xs-6';
     		        break;
     		    case "3":
     		       $boxclass1='col-md-4 ';
     		        break;
     				default:
     					 $boxclass1='col-md-4';
     		}
     ?>
     <?php if ($this->countModules( 'showcase1 or showcase2 or showcase3' )) : ?>
       
          <div class="row">
             <?php if($this->countModules('showcase1')) : ?>
                 	<div class="<?php echo $boxclass1 ?>">
                          <div class="box">
                                <jdoc:include type="modules" name="showcase1" style="xhtml" />
                          </div>
                  </div>
            <?php endif; ?>

            <?php if($this->countModules('showcase2')) : ?>
                 <div class="<?php echo $boxclass1 ?>">
                         <div class="box">
                               <jdoc:include type="modules" name="showcase2" style="xhtml" />
                         </div>
                 </div>
           <?php endif; ?>

           <?php if($this->countModules('showcase3')) : ?>
                <div class="<?php echo $boxclass1 ?>">
                        <div class="box">
                              <jdoc:include type="modules" name="showcase3" style="xhtml" />
                        </div>
                </div>
          <?php endif; ?>
            </div>
      </div>
    <?php endif; ?>
                  
       
  
        </div>
        <?php endif; ?>

        <?php if ($this->countModules('top_about')) : ?>
            <div id="top_about" class="top_about">
              <div class="container">
              <jdoc:include type="modules" name="top_about" style="block" />    
          </div>         
        </div>
        <?php endif; ?>


        <?php if ($this->countModules('breadcrumbs')) : ?>
          <div class="breadcrumbs">
              <div class="container-max">
            <div class="row">
                <div class="col-sm-12">
                    <jdoc:include type="modules" name="breadcrumbs" style="xhtml" />
                </div>
            </div>
          </div>
          </div>
        <?php endif; ?>

        <?php if ($this->countModules('feature')) : ?>
            <div id="feature" class="feature">             
              <jdoc:include type="modules" name="feature" style="block" />               
        </div>
        <?php endif; ?>
  
       <?php if ($menu->getActive() != $menu->getDefault( 'pl-PL' )) { ?>
      <div class="content">
          <div class="container<?php echo ($params->get('fluidContainer') ? '-fluid' : ''); ?>">

              <div class="row">
                  <?php if ($this->countModules('menu_start')) : ?>
                      <div id="sidebar" class="col-lg-3">
                          <div class="sidebar-bg">
                          <div class="sidebar-nav">
                              <jdoc:include type="modules" name="menu_start" style="xhtml" />
                          </div>
                            </div>
                      </div>
                  <?php endif; ?>
                  <main id="content" role="main" class="<?php echo $span; ?>">
                

                      <jdoc:include type="message" />
                      <jdoc:include type="component" />
                  </main>
                  <?php if ($this->countModules('sidebar-right')) : ?>
                      <div id="aside" class="col-lg-3">
                          <jdoc:include type="modules" name="sidebar-right" style="xhtml" />
                      </div>
                  <?php endif; ?>
                  <?php if ($this->countModules('content-bottom')) : ?>
                    <div  class="content-bottom">
                      <div  class="col-md-12">
                          <jdoc:include type="modules" name="content-bottom" style="xhtml" />
                      </div>
                    </div>
                  <?php endif; ?>
              </div>
          </div>
      </div>
          <?php        } ?>

          <?php if ($this->countModules('bottom-box')) : ?>
            <div id="bottom-box" class="bottom-box">
              <div class="container">
              <jdoc:include type="modules" name="bottom-box" style="block" />    
          </div>         
        </div>
        <?php endif; ?>
        <?php if ($this->countModules('bottom_gallery')) : ?>
            <div id="bottom_gallery" class="bottom_gallery">
             
              <jdoc:include type="modules" name="bottom_gallery" style="block" />    
           
        </div>
        <?php endif; ?>
        <?php if ($this->countModules('bottom')) : ?>
            <div id="bottom" class="bottom">             
              <jdoc:include type="modules" name="bottom" style="block" />    
           
        </div>
        <?php endif; ?>


        
      </div>
        <footer class="footer bg-faded text-muted" role="contentinfo">


   
          
            
          <?php	$footerbox = $this->countModules( 'footer1 + footer2 + footer3' );
     		switch ($footerbox) {
     		    case "1":
     		       $footerclass1='col-md-12';
     		        break;
     		    case "2":
     		       $footerclass1='col-md-6 col-xs-6';
     		        break;
     		    case "3":
     		       $footerclass1='col-md-4 ';
     		        break;
     				default:
     			    $footerclass1='col-md-4';
     } ?>
  
     <?php if ($this->countModules( 'footer1 or footer2 or footer3' )) : ?>
        <div class="container">   
          <div class="row">
             <?php if($this->countModules('footer1')) : ?>
                 	<div class="<?php echo $footerclass1 ?>">
                          <div class="box">
                                <jdoc:include type="modules" name="footer1" style="xhtml" />
                          </div>
                  </div>
            <?php endif; ?>

            <?php if($this->countModules('footer2')) : ?>
                 <div class="<?php echo $footerclass1 ?>">
                         <div class="box">
                               <jdoc:include type="modules" name="footer2" style="xhtml" />
                         </div>
                 </div>
           <?php endif; ?>

           <?php if($this->countModules('footer3')) : ?>
                <div class="<?php echo $footerclass1 ?>">
                        <div class="box">
                              <jdoc:include type="modules" name="footer3" style="xhtml" />
                        </div>
                </div>
          <?php endif; ?>
            </div>
      </div>
      </div>
    <?php endif; ?>
                  
       
  
        </div>
       
               

        
        </footer>
        <div class=" copy">  
            <div class="container">               
                    <p class="text-left"> &copy; <?php echo date('Y'); ?> <?php echo $sitename; ?>. </p>
                    <p  class="text-right">Church Religious Free Template Joomla 3.x  <a href="https://joothemes.net/" target="_blank">Church Free Joomla Templates.</a></p>                      
              </div> 

                  </div>
        <a href="#" class="back-to-top iconn-arrow_up"></a>
        <jdoc:include type="modules" name="debug" style="none" />
    </body>
</html>
